Skip to main content
GET
/
agents
/
{agentId}
/
email-identities
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/agents/{agentId}/email-identities \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "email": "jsmith@example.com",
      "domain": "<string>",
      "localPart": "<string>",
      "isPrimary": true,
      "verified": true,
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

agentId
string
required

Agent whose identities to list

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$

Response

200 - application/json

OK

List of agent email identities

items
object[]
required

All email identities attached to this agent